%define		package	HttpFoundation
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 HttpFoundation Component
Name:		php-symfony2-HttpFoundation
Version:	2.7.5
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	2047d9397e95e6d89e6fcacd008d8322
URL:		http://symfony.com/doc/current/components/http_foundation/index.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php-pear >= 4:1.3.10
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HttpFoundation Component defines an object-oriented layer for the
HTTP specification.

%prep
%setup -q -n http-foundation-%{version}

%build
# add --tolerant, see https://github.com/theseer/Autoload/issues/49
phpab -n -e '*/Tests/*' -o autoloader.php --tolerant .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/HttpFoundation
%{php_pear_dir}/Symfony/Component/HttpFoundation/*.php
%{php_pear_dir}/Symfony/Component/HttpFoundation/File
%{php_pear_dir}/Symfony/Component/HttpFoundation/Resources
%{php_pear_dir}/Symfony/Component/HttpFoundation/Session
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-HttpFoundation.git;a=log;h=auto/th/php-symfony2-HttpFoundation-2.7.5-1

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> ee467e1
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 5352a6e
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> b149ce3
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 74d8c56
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 658613f
- up to 2.4.4

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> dfffdf2
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> d33ff28
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 163eb96
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 63cc7aa
- initial add. version 2.1.4

